﻿using System.Web.Mvc;
using System;
using StructureMap;
using System.Web.Routing;

namespace MvcApplication1.Controllers
{

 public class IocControllerFactory : DefaultControllerFactory
 {
  protected override IController GetControllerInstance(RequestContext requestContext, Type controllerType)
  {
   if (controllerType == null) return null; else return (Controller)ObjectFactory.GetInstance(controllerType);
  }
 }

}
